package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class NeedPhotoBean implements Parcelable {
    private String field_key = "";
    private int limit = 1;

    public NeedPhotoBean(){

    }

    protected NeedPhotoBean(Parcel in) {
        field_key = in.readString();
        limit = in.readInt();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(field_key);
        dest.writeInt(limit);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<NeedPhotoBean> CREATOR = new Creator<NeedPhotoBean>() {
        @Override
        public NeedPhotoBean createFromParcel(Parcel in) {
            return new NeedPhotoBean(in);
        }

        @Override
        public NeedPhotoBean[] newArray(int size) {
            return new NeedPhotoBean[size];
        }
    };

    public String getFieldKey() {
        return field_key;
    }

    public void setFieldKey(String field_key) {
        this.field_key = field_key;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }
}
